Page MenuHomePhabricator

Feedback text overlaps with personal bar on Tamil Wikipedia
Closed, DeclinedPublic

Description

Feedback text overlaps with the personal bar on Tamil Wikipedia on 1024x768 resolution. (See URL for screenshot). This prevents us from having the extension deployed. We have disabled currently till this is fixed.

Tamil Wikipedia has Narayam enabled which adds its menu to left of existing personal bar. It might also have WebFonts soon(which will add one more menu to Narayam's left), so re-positioning Moodbar feedback text might be a good idea, otherwise the personalbar should wrap, not be overwritten.


Version: unspecified
Severity: major
URL: http://www.diigo.com/item/image/1aopx/3g8i

Details

Reference
bz34681

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:12 AM
bzimport set Reference to bz34681.
bzimport added a subscriber: Unknown Object (MLST).

Created attachment 10091
Screenshot

To preserve the screenshot, I've attached it to this bug.

Attached:

Can we suppress Moodbar for Tamil Wikipedia?

(In reply to comment #2)

Can we suppress Moodbar for Tamil Wikipedia?

That was done in bug 34615

But we would be really interested in taking this extension soon as possible to get Newbie feedback once this is fixed.

Downgrading priority now that this has been disabled

Srikanth and I spoke about this, and this issue is pretty interesting. A feature is designed for English Wikipedia, it has a *bad design*. It gets installed on a different wiki, it doesn't integrate properly into the UI, and the solution is not to fix the bad design, but to neglect and ignore the other language wiki by simply disabling the extension, and not allowing them to use the latest and greatest editor engagement features.

This is bad. "Design" is responsible for this. It shouldn't shove a menu item in a new position in a new div, and it should be resolved properly. This is not an i18n issue, it's a design issue originating from the fact that internationalisation was not included in the design specifications. Please fix.

Btw, how can a "high/major" issue be ignored for this long?

MoodBar in maintenance mode => lower priority (in general)

I am not sure how to fix this, this isn't language dependent; zooming into an english wiki also distorts the entire wiki at near zoom level 200 in Chrome.

Where else would you put Moodbar?

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 24 2015, 9:21 AM
MaxSem closed this task as Declined.Dec 13 2016, 2:26 AM
MaxSem added a subscriber: MaxSem.

This extension has been undeployed and archived, closing.